Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::MenuList Class Reference

Inheritance diagram for Gtk::Menu_Helpers::MenuList:

[legend]
List of all members.

## Public Types

typedef Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > > | type_base

## Public Member Functions

virtual iterator | erase (iterator)
virtual void | erase (iterator start, iterator stop)
virtual GList*& | glist () const
const GtkMenuShell* | gparent () const
GtkMenuShell* | gparent ()
template<class InputIterator>
void | insert (iterator position, InputIterator first, InputIterator last)
iterator | insert (iterator position, element_type& e)
| MenuList (const MenuList& src)
| MenuList (GtkMenuShell* gparent)
| MenuList ()
MenuList& | operator= (const MenuList& src)
reference | operator[] (size_type l) const
| This is order n. (use at own risk).
void | push_back (element_type& e)
void | push_front (element_type& e)
virtual void | remove (Widget& widget)
virtual void | remove (const_reference)
virtual | ~MenuList ()

## Member Typedef Documentation

typedef Glib::HelperList<MenuItem, const Element, Glib::List_Cpp_Iterator<GtkMenuItem,MenuItem>> Gtk::Menu_Helpers::MenuList::type_base

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::MenuList::MenuList | ( |  | ) |

Gtk::Menu_Helpers::MenuList::MenuList | ( | GtkMenuShell * | gparent | ) | `[explicit]`

Gtk::Menu_Helpers::MenuList::MenuList | ( | const MenuList& | src | ) |

virtual Gtk::Menu_Helpers::MenuList::~MenuList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual iterator Gtk::Menu_Helpers::MenuList::erase | ( | iterator |  | ) | `[virtual]`

virtual void Gtk::Menu_Helpers::MenuList::erase | ( | iterator | start,
|  | iterator | stop |
| ) |  |  | `[virtual]`

virtual GList*& Gtk::Menu_Helpers::MenuList::glist | ( |  | ) | const`[virtual]`

Implements Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

const GtkMenuShell* Gtk::Menu_Helpers::MenuList::gparent | ( |  | ) | const

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

GtkMenuShell* Gtk::Menu_Helpers::MenuList::gparent | ( |  | ) |

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

template <class InputIterator>

void Gtk::Menu_Helpers::MenuList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline]`

iterator Gtk::Menu_Helpers::MenuList::insert | ( | iterator | position,
|  | element_type & | e |
| ) |  |  |

MenuList& Gtk::Menu_Helpers::MenuList::operator= | ( | const MenuList& | src | ) |

reference Gtk::Menu_Helpers::MenuList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk).

void Gtk::Menu_Helpers::MenuList::push_back | ( | element_type & | e | ) | `[inline]`

void Gtk::Menu_Helpers::MenuList::push_front | ( | element_type & | e | ) | `[inline]`

virtual void Gtk::Menu_Helpers::MenuList::remove | ( | Widget& | widget | ) | `[virtual]`

virtual void Gtk::Menu_Helpers::MenuList::remove | ( | const_reference |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- menushell.h